# Get operations

## Get operations

> Get a list of operations performed during payment processing sorted by time (most recent first)

```json
{"openapi":"3.1.1","info":{"title":"convergegate.com API","version":"1.0.76"},"tags":[{"name":"Payments","description":"Payments API"}],"servers":[{"url":"https://engine-sandbox.convergegate.com","description":"Sandbox"},{"url":"https://engine.convergegate.com","description":"Production"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","description":"The client sends HTTP requests with the Authorization header that contains the word Bearer followed by a space and the Shop Api Key.","scheme":"bearer"}},"schemas":{"OperationListResponse":{"type":"object","properties":{"timestamp":{"type":"string","format":"ISO 8601"},"status":{"type":"integer","description":"HTTP status code"},"result":{"type":"array","items":{"$ref":"#/components/schemas/PaymentOperation"}}}},"PaymentOperation":{"properties":{"id":{"type":"integer","description":"Operation Id"},"operation":{"$ref":"#/components/schemas/Operation"},"started":{"type":"string","format":"ISO 8601","description":"Operation start time"},"completed":{"type":"string","format":"ISO 8601","description":"Operation end time"},"paymentState":{"$ref":"#/components/schemas/PaymentState"},"outgoingMessages":{"type":"string","description":"List of messages sent to external APIs during operation processing"},"incomingMessages":{"type":"string","description":"List of messages received from external APIs during operation processing"}}},"Operation":{"type":"string","description":"Operation performed during payment processing","enum":["CREATE_PAYMENT","CHECKOUT","CANCEL","CONFIRMATION","CASCADING","REDIRECT","CONTINUE","CONTINUE_ANTI_FRAUD","DETECT_FRAUD","DEPOSIT","WITHDRAWAL","REFUND","CHARGEBACK","CAPTURE","VOID","CHECK_STATE","HANDLE_WEBHOOK","MANUAL_UPDATE","MANUAL_CHECK_STATE"]},"PaymentState":{"type":"string","description":"Payment State","enum":["CHECKOUT","PENDING","AUTHORIZED","CANCELLED","DECLINED","COMPLETED"]},"UnauthorizedError":{"type":"object","properties":{"status":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"},"timestamp":{"type":"string","format":"ISO 8601"},"path":{"type":"string"}}},"NotFoundError":{"type":"object","properties":{"status":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"},"timestamp":{"type":"string","format":"ISO 8601"},"path":{"type":"string"}}}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthorizedError"}}}},"NotFound":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFoundError"}}}}}},"paths":{"/api/v1/payments/{id}/operations":{"get":{"tags":["Payments"],"summary":"Get operations","description":"Get a list of operations performed during payment processing sorted by time (most recent first)","operationId":"getOperations","parameters":[{"name":"id","in":"path","description":"Payment Id","required":true,"schema":{"pattern":"/[a-zA-Z0-9]{32}/","type":"string"}}],"responses":{"200":{"description":"Operation List Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationListResponse"}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.convergegate.com/v1/payments/get-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
